GRUB-INSTALL(8)

NAME
grub-install - install GRUB to a device

SYNOPSIS
grub-install [OPTION] [INSTALL_DEVICE]

DESCRIPTION
Install GRUB on your drive.

-h, --help
    print this message and exit

-v, --version
    print the version information and exit

--modules=MODULES
    pre-load specified modules MODULES

--boot-directory=DIR
    install GRUB images under the directory DIR/grub2 instead of the /boot/grub2 directory

--target=TARGET
    install GRUB for TARGET platform [default=current]

--directory=DIR
    use GRUB images from DIR. Takes precedence over target

--grub-setup=FILE
    use FILE as grub-setup

--grub-mkimage=FILE
    use FILE as grub-mkimage

--grub-mkrelpath=FILE
    use FILE as grub-mkrelpath

--grub-probe=FILE
    use FILE as grub-probe

--allow-floppy
    make the drive also bootable as floppy (default for fdX devices). May break on some BIOSes.

--recheck
    delete device map if it already exists

--force
    install even if problems are detected

--force-file-id
    use identifier file even if UUID is available

--disk-module=MODULE
    disk module to use (biosdisk or native). This option is only available on BIOS target.

--no-nvram
    don't update the `boot-device' NVRAM variable. This option is only available on IEEE1275 targets.

--removable
    the installation device is removable. This option is only available on EFI.

--bootloader-id=ID
    the ID of bootloader. This option is only available on EFI.

--efi-directory=DIR
    use DIR as the EFI System Partition root.

INSTALL_DEVICE must be system device filename.

grub-install copies GRUB images into /boot/grub2, and uses grub-setup to install grub into the boot sector.

REPORTING BUGS
Report bugs to <bug-grub@gnu.org>.

SEE ALSO
grub-mkconfig(8), grub-mkimage(1), grub-setup(8), grub-mkrescue(1)

The full documentation for grub-install is maintained as a Texinfo manual. If the info and grub-install programs are properly installed at your site, the command

    info grub-install

should give you access to the complete manual.